measure[0]="Cyclomatic complexity"
measure[1]="Conditional clauses"
measure[2]="Statements overall"
measure[3]="Statements manipulating data"

column[0]="cyclomatic"
column[1]="cond-clauses"
column[2]="all-stmt"
column[3]="uncond-stmt"
column[4]="loc"

# Print table header
printf "developer | group"
for i in {0..4}
do
  printf " | ${column[i]}"
done
printf "\n"

for iprog in submissions/i*/thumbnail.stu
do
  idir=$(dirname "$iprog")
  idir=$(basename "$idir")
  printf "$idir | inspect"
  count=$(complexity/inspect/a.out $iprog)
  for j in {0..3}
  do
    printf " | "
    echo $count | grep -Eo "${measure[j]}: [0-9]+" | grep -o "[0-9]*" | tr -d '\n'
  done
  printf " | "
  loc=$(wc $iprog | grep -Eo '^ *[0-9]*')
  printf "$loc\n"
done

for cprog in submissions/c*/thumbnail.stu
do
  cdir=$(dirname "$cprog")
  cdir=$(basename "$cdir")
  printf "$cdir | control"
  count=$(complexity/control/a.out $cprog)
  for j in {0..3}
  do
    printf " | "
    echo $count | grep -Eo "${measure[j]}: [0-9]+" | grep -o "[0-9]*" | tr -d '\n'
  done
  printf " | "
  loc=$(wc $cprog | grep -Eo '^ *[0-9]*')
  printf "$loc\n"
done
