argc=$#
script=$0
if [ $argc -ne 2 ]; then
  echo "Usage:"
  echo "  $script [app name] [app version]"
  echo
  echo "Example:"
  echo "  $script json idir"
  echo "  $script json plain"
  echo "  $script zip idir"
  echo "  $script zip plain"
  exit 1
fi
app=$1
version=$2
prog=programs/$1/$2.rifl
form="text"

if [ $version == "idir" ] || [ $version == "edir" ] || [ $version == "eder" ] || [ $version == "plain" ]; then
  if [ $app == "csv" ] || [ $app == "obj" ] || [ $app == "json" ]; then
    ../interpreter/a.out $prog text 0
  elif [ $app == "png" ] || [ $app == "pcap" ] || [ $app == "zip" ]; then
    ../interpreter/a.out $prog binary 0; mv output.bin $app$version
  else
    echo "Error: Unknown application"
    exit 1
  fi
else
  echo "Error: Unkonwn version"
  exit 1
fi
