inputdir=inputs
outputdir=outputs

for iprog in submissions/i*/thumbnail.stu
do
  idir=$(dirname "$iprog")
  idir=$(basename "$idir")
  iout=$outputdir/$idir.out
  echo "Program $iprog ==> $iout"
  rm -f $iout
  for testcase in $inputdir/*.in
  do
    cp $testcase input3.txt
    echo "====== $testcase ======" >> $iout
    timeout 2 interpreters/inspect/a.out $iprog 0 &>> $iout
    if [ "$?" = "124" ]; then
      echo "[Aborted for time out]" >> $iout
    fi
  done
done

for cprog in submissions/c*/thumbnail.stu
do
  cdir=$(dirname "$cprog")
  cdir=$(basename "$cdir")
  cout=$outputdir/$cdir.out
  cfocout=$outputdir/$cdir.foc.out
  echo "Program $cprog ==> $cout and $cfocout"
  rm -f $cout $cfocout
  for testcase in $inputdir/*.in
  do
    cp $testcase input3.txt
    echo "====== $testcase ======" >> $cout
    timeout 2 interpreters/control/a.out $cprog 0 &>> $cout
    if [ "$?" = "124" ]; then
      echo "[Aborted for time out]" >> $cout
    fi
    echo "====== $testcase ======" >> $cfocout
    timeout 2 interpreters/foc/a.out $cprog 0 &>> $cfocout
    if [ "$?" = "124" ]; then
      echo "[Aborted for time out]" >> $cfocout
    fi
  done
done

rm input3.txt
