File: corruption -> Ubuntu Image Viewer; RIFL

* oi1n0g16.png (good)
  - oi1n0g16-2.png: removed a byte from IDAT -> "decompression error in IDAT";
    reads past the end of file by misunderstanding the length of the last chunk
  - oi1n0g16-3.png: added a byte to IDAT -> "IDAT CRC error";
    does not check CRC, but
    * assertion fails from the last chunk having negative length, or
    * heap overflows by misunderstanding the length of the last chunk
  - oi1n0g16-4.png: added a byte to IHDR -> "IHDR CRC error";
    does not check CRC, but
    * assertion fails from the second chunk having negative length, or
    * heap overflows by misunderstanding the length of the second chunk
  - oi1n0g16-5.png: changed gAMA to gAmA -> no problem; no error
  - oi1n0g16-6.png: changed IHDR width -> "IHDR CRC error"; no error
  - oi1n0g16-7.png: changed IHDR width & CRC -> no complaint, dimensions wrong; no error
  - oi1n0g16-8.png: changed IDAT width & CRC -> "decompression error in IDAT"; no error
* oi2n0g16.png (good)
* oi4n0g16.png (good)
  - oi4n0g16-2.png: removed something -> "decompression error in IDAT"; heap overflow
  - oi4n0g16-3.png: removed an IDAT -> "decompression error in IDAT"; no error
* oi9n0g16.png (good)
* x00n0g01.png: empty 0x0 grayscale file -> "invalid IHDR data"; assertion fails on 0 width
* xcrn0g04.png: added cr bytes -> "corrupted by ASCII conversion"; assertion fails in header
* xlfn0g04.png: converted cr bytes to lf and removed all NULs -> "corrupted by ASCII conversion"; assertion fails in header


From:
* http://www.libpng.org/pub/png/pngsuite-all-good.html
* http://www.schaik.com/pngsuite/
